Subject: RE: looking for cygnus compatible perl
From: [email-masked] (Don Hammond)

23 Dec 1997 07:25:45 -0800
Message-ID: <01017FB1F1C6D011852400805FC18B256070.cygnus.gnu-win32@NTNY-EXCH>
Mime-Version: 1.0
Content-Type: text/plain
To: "'Jon S. Jaques'" <[email-masked]>, [email-masked],
        [email-masked]

Jon -

I managed to do this yesterday using GNU sources and
Christopher Faylor's patch.  I am a user, *not* a
developer, so am out of my element when packages don't
build easily.  I'm not sure how well I did -- the only
thing I've tried so far is the Perl TEST which comes
with the distribution, and it only succeeded on 79% of
the tests.  I haven't had time to try anything else.

This was my second attempt, having made the mistake
mentioned by Chris Faylor of reading the README.cygwin
before applying the patch.  The only significant change
I made during Configure was to add the cc flag: 
-DDEBUGGING.  I don't know if that was a good choice or
not, but it appeared to me that this was necessary for
full functionality of the Perl debugger.

I kept fairly comprehensive notes of the whole Configure
process after the first attempt failed.  I would be
happy to forward the notes on to you if you think it will
help, although all they will show is that I accepted most
of the default choices, except for things like host and
domain name.  I also have the redirected std out and std
err from running make and the Perl TEST, if anybody wants
to see those for any reason.

The only non-standard thing I did was edit the config.sh
(in a separate bash window) before running make depend.
This was to correct a mistake I had made on man page
location.  (I had a problem using vi in a shell escape
from Configure due to another problem.)

The moral of the story: if I can do it, most anyone can.

[BTW - Thanks to all who have contributed to cygwin32.
It is a Godsend to this user forced to NT.  And thanks
to Christopher Faylor for the Perl patch, and others
making their work available.  I sure wish I could
contribute, but I'm barely smart enough to use this
stuff.  Your talents are admired and appreciated.]

 - Don

On  Monday, December 22, 1997 8:19 AM,  Jon S. Jaques writes:

> Have you recently tried this from a "ground up" install? I still
> have not gotten it to work, and so I still wonder about what else
> is required.
> 
> --jsj
> 
> At 04:38 AM 12/20/97 GMT, Christopher Faylor wrote:
> >If you're using my patches and Sergey's coolview, there should be no
> >reason to #ifdef or #define anything.
> >
> >The main problems that people seem to be having are:
> >
> > [...]

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".